=== debian/changelog ===
websocketpp (0.3.0-2) unstable; urgency=medium

  * Do not symlink jquery from doxygen, this will result in a
    broken documentation. cfr: 736360.
  * Fix package description.
  * Enable examples and tests
    - add libboost-dev, libboost-random-dev, libboost-system-dev
      and libboost-thread-dev as build-dependencies.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 25 Oct 2014 19:15:01 +0200

websocketpp (0.3.0-1) unstable; urgency=low

  * Initial release. Closes: #764177

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sun, 05 Oct 2014 13:48:39 +0200
