=== debian/control ===
Source: websocketpp
Section: libs
Priority: extra
Maintainer: Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
Build-Depends: cmake,
               debhelper (>=9),
               libboost-dev,
               libboost-random-dev,
               libboost-system-dev,
               libboost-thread-dev
Build-Depends-Indep: doxygen
Standards-Version: 3.9.6
Homepage: https://github.com/zaphoyd/websocketpp
Vcs-Git: git://anonscm.debian.org/collab-maint/websocketpp.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/websocketpp.git

Package: libwebsocketpp-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}
Description: C++/Boost Asio based websocket client/server library. Dev package
 WebSocket++ is a header only C++ library that implements RFC6455 The WebSocket
 Protocol. It allows integrating WebSocket client and server functionality into
 C++ programs. It uses interchangeable network transport modules including one
 based on C++ iostreams and one based on Boost Asio.
 .
 Major Features:
  * Full support for RFC6455
  * Partial support for Hixie 76 / Hybi 00, 07-17 draft specs (server only)
  * Message/event based interface
  * Supports secure WebSockets (TLS), IPv6, and explicit proxies.
  * Flexible dependency management (C++11 Standard Library or Boost)
  * Interchangeable network transport modules (iostream and Boost Asio)
  * Portable/cross platform (Posix/Windows, 32/64bit, Intel/ARM/PPC)
  * Thread-safe
 .
 This package contains the header files.

Package: libwebsocketpp-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: C++/Boost Asio based websocket client/server library. Doc package
 WebSocket++ is a header only C++ library that implements RFC6455 The WebSocket
 Protocol. It allows integrating WebSocket client and server functionality into
 C++ programs. It uses interchangeable network transport modules including one
 based on C++ iostreams and one based on Boost Asio.
 .
 Major Features:
  * Full support for RFC6455
  * Partial support for Hixie 76 / Hybi 00, 07-17 draft specs (server only)
  * Message/event based interface
  * Supports secure WebSockets (TLS), IPv6, and explicit proxies.
  * Flexible dependency management (C++11 Standard Library or Boost)
  * Interchangeable network transport modules (iostream and Boost Asio)
  * Portable/cross platform (Posix/Windows, 32/64bit, Intel/ARM/PPC)
  * Thread-safe
 .
 This package contains the common documentation.
