=== debian/changelog ===
websocketpp (0.4.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 10 Dec 2014 13:06:59 +0100

websocketpp (0.4.0-1) experimental; urgency=medium

  * New upstream release.
    - Remove 653868204a88ff04b4713a1caafd107037138a53.patch accepted upstream.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 05 Nov 2014 17:12:05 +0100
