=== debian/changelog ===
websocketpp (0.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 29 Jan 2015 17:10:04 +0100
