## websocketpp 0.5.1

=== debian/changelog ===
websocketpp (0.5.1-1) unstable; urgency=medium

  * New upstream minor release.
  * Add libssl-dev as b-d to build all the examples binaries.
    (not shipped)
  * Add texlive-font-utils and ghostscript as b-d-i to avoid doxygen-related build errors.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 14 Mar 2015 11:30:51 +0100
