=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
                libboost-dev,
                libboost-random-dev,
                libboost-system-dev,
-               libboost-thread-dev
-Build-Depends-Indep: doxygen
+               libboost-thread-dev,
+               libssl-dev
+Build-Depends-Indep: doxygen, texlive-font-utils, ghostscript
 Standards-Version: 3.9.6
 Homepage: https://github.com/zaphoyd/websocketpp
 Vcs-Git: git://anonscm.debian.org/collab-maint/websocketpp.git
