=== debian/changelog ===
websocketpp (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Add libboost-chrono-dev to b-d (not actually used)
  * Update my uid.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 16 Jun 2015 14:48:41 +0200
