=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: websocketpp
 Section: libs
 Priority: extra
-Maintainer: Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
+Maintainer: Gianfranco Costamagna <locutusofborg@debian.org>
 Build-Depends: cmake,
                debhelper (>=9),
+               libboost-chrono-dev,
                libboost-dev,
                libboost-random-dev,
                libboost-system-dev,
                libboost-thread-dev,
                libssl-dev
-Build-Depends-Indep: doxygen, texlive-font-utils, ghostscript
+Build-Depends-Indep: doxygen, ghostscript, texlive-font-utils
 Standards-Version: 3.9.6
 Homepage: https://github.com/zaphoyd/websocketpp
 Vcs-Git: git://anonscm.debian.org/collab-maint/websocketpp.git
