## websocketpp 0.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,9 +9,11 @@
 cmake_minimum_required (VERSION 2.6)
 
 set (WEBSOCKETPP_MAJOR_VERSION 0)
-set (WEBSOCKETPP_MINOR_VERSION 6)
+set (WEBSOCKETPP_MINOR_VERSION 7)
 set (WEBSOCKETPP_PATCH_VERSION 0)
 set (WEBSOCKETPP_VERSION ${WEBSOCKETPP_MAJOR_VERSION}.${WEBSOCKETPP_MINOR_VERSION}.${WEBSOCKETPP_PATCH_VERSION})
+
+set_property(GLOBAL PROPERTY USE_FOLDERS ON)
 
 set(INSTALL_INCLUDE_DIR include CACHE PATH "Installation directory for header files")
 if (WIN32 AND NOT CYGWIN)
@@ -66,6 +68,8 @@
 option (BUILD_TESTS "Build websocketpp tests." FALSE)
 
 if (BUILD_TESTS OR BUILD_EXAMPLES)
+
+    enable_testing ()
 
     ############ Compiler specific setup
 
@@ -150,6 +154,10 @@
         list (APPEND WEBSOCKETPP_BOOST_LIBS random)
     endif()
 
+    if (BUILD_TESTS)
+        list (APPEND WEBSOCKETPP_BOOST_LIBS unit_test_framework)
+    endif()
+
     ############ Dependencies
 
     # Set BOOST_ROOT env variable or pass with cmake -DBOOST_ROOT=path.
@@ -178,6 +186,14 @@
     else ()
         set (Boost_USE_MULTITHREADED FALSE)
         set (Boost_USE_STATIC_LIBS FALSE)
+    endif ()
+
+	if (BOOST_STATIC)
+		set (Boost_USE_STATIC_LIBS TRUE)
+	endif ()
+
+    if (NOT Boost_USE_STATIC_LIBS)
+        add_definitions (/DBOOST_TEST_DYN_LINK)
     endif ()
 
     set (Boost_FIND_REQUIRED TRUE)
@@ -212,6 +228,7 @@
     endif ()
 
     find_package(OpenSSL)
+    find_package(ZLIB)
 endif()
 
 ############ Add projects
@@ -221,12 +238,12 @@
 
 # Add examples
 if (BUILD_EXAMPLES)
-    add_subdirectory (examples)
+    include_subdirs ("examples")
 endif ()
 
 # Add tests
 if (BUILD_TESTS)
-    add_subdirectory (test)
+    include_subdirs ("test")
 endif ()
 
 print_used_build_config()
