=== debian/changelog ===
websocketpp (0.7.0-8) experimental; urgency=medium

  * Add scons tests, run them on every architecture.
    - this means change from arch:all to arch:any

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 30 Apr 2017 16:17:08 +0200

websocketpp (0.7.0-7) unstable; urgency=medium

  [ Kurt Roeckx]
  * debian/patches/0001-Fix-issue-599.patch:
    - refactor patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Nov 2016 21:38:35 +0100

websocketpp (0.7.0-6) unstable; urgency=medium

  * Bump compat level to 10
  * Bump std-version to 3.9.8
  * Use openssl 1.0
  * debian/patches/0001-Fix-issue-599.patch:
    - fix build failure with new openssl
  * debian/patches/0001-Avoid-useless-if-statement.patch:
    - fix warning for the previous patch.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Nov 2016 12:16:21 +0100

websocketpp (0.7.0-5) unstable; urgency=medium

  * Update copyright year
  * Disable also test_transport test.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Feb 2016 19:29:25 +0100

websocketpp (0.7.0-4) unstable; urgency=medium

  * d/p/disable-tests.patch: disable test failing on Debian buildds.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Feb 2016 18:10:30 +0100

websocketpp (0.7.0-3) unstable; urgency=medium

  *  Fix VCS fields URI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Feb 2016 16:03:39 +0100

websocketpp (0.7.0-2) unstable; urgency=medium

  * Bump watch file version to 4.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Feb 2016 15:58:06 +0100

websocketpp (0.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Add libboost-test-dev to b-d
  * Build examples and run testsuite on them.
  * Bump std-version to 3.9.7, no changes required.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Feb 2016 15:09:31 +0100
