=== debian/control ===
--- 
+++ 
@@ -3,22 +3,25 @@
 Priority: extra
 Maintainer: Gianfranco Costamagna <locutusofborg@debian.org>
 Build-Depends: cmake,
-               debhelper (>=9),
+               debhelper (>=10),
                libboost-chrono-dev,
                libboost-dev,
                libboost-random-dev,
                libboost-system-dev,
+               libboost-test-dev,
                libboost-thread-dev,
-               libssl-dev
+               libssl-dev,
+               zlib1g-dev,
+               scons
 Build-Depends-Indep: doxygen, ghostscript, texlive-font-utils
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/zaphoyd/websocketpp
-Vcs-Git: git://anonscm.debian.org/collab-maint/websocketpp.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/websocketpp.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/websocketpp.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/websocketpp.git
 
 Package: libwebsocketpp-dev
 Section: libdevel
-Architecture: all
+Architecture: any
 Depends: ${misc:Depends}
 Description: C++/Boost Asio based websocket client/server library. Dev package
  WebSocket++ is a header only C++ library that implements RFC6455 The WebSocket
