=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -16,6 +16,7 @@
 
 override_dh_auto_build-indep:
 	doxygen Doxyfile
+	dh_auto_build
 
 override_dh_install-indep:
 	# do not install examples for now, unless somebody asks for them, probably upstream should install them
@@ -23,3 +24,7 @@
 	rm -rf debian/tmp/usr/include/echo_server/
 	dh_install -plibwebsocketpp-doc doxygen/html/*   usr/share/doc/libwebsocketpp-doc/html
 	dh_install -plibwebsocketpp-dev debian/tmp/usr/* usr
+
+override_dh_auto_test:
+	dh_auto_test
+	BOOST_LIBS=/usr/lib/$(DEB_HOST_MULTIARCH) BOOST_INCLUDES=/usr/include/boost scons test
