## websocketpp 0.8.0

=== debian/changelog ===
websocketpp (0.8.0-2) unstable; urgency=medium

  * Fix lintian issue wrt nocheck usage
  * Make copyright file in secure mode
  * Do not install files
  * Drop examples hack in rules file, now we have a patch
  * Install example files

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Jul 2018 19:43:56 +0200

websocketpp (0.8.0-1) unstable; urgency=medium

  * Re-enable scons tests, seems more reliable with upcoming 0.8.0
  * New upstream release
  * Bump std-version to 4.1.5
  * Drop other files not meant to be installed
  * Fix testsuite by forcing no-parallel (parallel build means the same port
    already taken by similar tests)
  * debian/patches/0001-Fix-testsuite-errors-due-to-a-Connection-upgrade-
    - add testsuite with scons

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 26 Jun 2017 14:32:13 +0200

websocketpp (0.7.0-12) unstable; urgency=medium

  * VCS field: switch to salsa
  * Bump std-version to 4.1.4, drop priority extra, move to optional

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 29 Apr 2018 19:56:40 +0200

websocketpp (0.7.0-11) unstable; urgency=medium

  * Bump std-version to 4.0.0
  * Fix installation after switch to arch:any
    (Closes: #866987)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Jul 2017 18:04:30 +0200

websocketpp (0.7.0-10) unstable; urgency=medium

  * Upload to unstable
  * Ignore scons test results, they are flaky

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Jun 2017 11:22:14 +0200

websocketpp (0.7.0-9) experimental; urgency=medium

  * debian/patches/9ddb300d874a30db35e3ad58f188944bef0bf31b.patch:
  * debian/patches/4cab5e5c0c5f19fcee7d37b4a38b156d63a150d4.patch:
    - upstream build fixes for failure with new zlib 1.2.11
  * Improve clean target, remove also scons build artifacts.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Jun 2017 08:54:37 +0200
